Subject: Re: [lojban] Re: ka'enai (was: Re: A question on the new baseline policy)

From: Robert LeChevalier <[email-masked]>
Date: Wed, 04 Dec 2002 07:06:53 -0500

At 07:42 PM 12/3/02 +0000, Jorge Llambias wrote:
>la lojbab cusku di'e
> >I think that NAI treated as a UI would cause more (semantics) problems than
> >you can imagine (and we did consider it, albeit VERY briefly). You are the
> >one who wants better semantics definition. Grammatically it would be a
> >major change because NAI is in so many rules.
>
>It is precisely because it is in so many rules, that it is difficult
>to learn. For each rule, you have to learn whether or not it allows
>NAI. Moving NAI to UI may be a major change but it would be one that
>simplifies the grammar, and which is also fully backward compatible,
>so the best kind of change.
>
> >pa re nai ci?
> >(pa re .uinai ci passes the parser)
>
>That could be used in this context, for example:
>
>A: pa re xu ci
>B: i pa re nai ci i pa ze ja'ai ci

Since I don't recognize the experimental cmavo, I can't comment. Using an 
(apparent) contrast with an experimental cmavo is a rather weak 
justification for another experimental usage.

> >It would mean that the logical connectives are handled by hodgepodge: je
> >and naje would be lexer tokens, but najenai would grammatically be naje
> >with an absorbed nai as part of the je hence implying "na (je nai)" which
> >is not correct.
>
>Why is that not correct? The parser can't tell {je} appart from {ja},
>why is it such a big deal if it can't tell them appart from {jenai}
>either? {naje} does not imply {na(je)}, so {najenai} will not imply
>{na(jenai)} either.

The reason "na je" has not implied grouping is because it is called out 
distinctly in the YACC grammar as a separate rule with no grouping, as is 
NA JA NAI. But the parser rule is specifically that UI is absorbed into 
the preceding token, which indeed means that "(na) (je)" and "(na) (jenai)" 
will be considered identical grammatically.

> >You would fix something by breaking other things, and raise far more
> >questions that you would answer.
>
>I don't agree with that. I think Lojban has far too many selmaho
>that complicate the grammar unnecessarily,

I know you think that.

>and nothing is broken by regularizing NAI.

Except for the fact that NAI would not have consistent meaning in its 
various incarnations.

> >Resorting to UI is a copout since UI has no
> >grammatical interaction OTHER THAN with the prior word (and the prior word
> >determines its scope which I don't think would be true with nai).
>
>Whyever not? NAI always attaches to the immediately preceding word,
>doesn't it? It is hard to think of a context where {xu} is allowed
>that won't admit a possible meaning for {nai}.

But not the SAME meaning.

lojbab

-- 
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org